﻿$ErrorActionPreference = 'Stop'

$packageName = 'WireShark'
$url32       = 'https://www.wireshark.org/download/win32/all-versions/Wireshark-win32-2.6.6.exe'
$checksum32  = 'a76e70694b1914c3bf2c5267c234d44db58a605b88c274473368cb57b4262c1f'
$url64	     = 'https://www.wireshark.org/download/win64/all-versions/Wireshark-win64-2.6.6.exe'
$checksum64  = 'e440a059fba3572000b5695ca89438d5765b9d73d830556344d7e8cdad071617'

$toolsPath   = Split-Path $MyInvocation.MyCommand.Definition

$packageArgs = @{
  packageName            = $packageName
  fileType               = 'EXE'
  url	                 = $url32
  checksum               = $checksum32
  checksumType           = 'sha256'
  url64                  = $url64
  checksum64             = $checksum64
  checksumType64         = 'sha256'
  silentArgs             = '/S /quicklaunchicon=no'
  validExitCodes         = @(0)
  registryUninstallerKey = $packageName
}

Install-ChocolateyPackage @packageArgs

